#ifndef CHIP_DEV_PINS_H
#define CHIP_DEV_PINS_H


/* ------------------------ Функции пинов ------------------------------------*/

/* ----------- Порт A ---------------*/
/* Пин PA0 */
#define CHIP_PIN_PA0_GPIO                  CHIP_PIN_ID(CHIP_PORT_A, 0, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA0_SPI2_SCK              CHIP_PIN_ID(CHIP_PORT_A, 0, 0)
#define CHIP_PIN_PA0_USART2_CTS            CHIP_PIN_ID(CHIP_PORT_A, 0, 1)
#define CHIP_PIN_PA0_TIM2_CH1_ETR          CHIP_PIN_ID(CHIP_PORT_A, 0, 2)
#define CHIP_PIN_PA0_LPTIM1_OUT            CHIP_PIN_ID(CHIP_PORT_A, 0, 5)

/* Пин PA1 */
#define CHIP_PIN_PA1_GPIO                  CHIP_PIN_ID(CHIP_PORT_A, 1, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA1_SPI1_SCK              CHIP_PIN_ID(CHIP_PORT_A, 1, 0)
#define CHIP_PIN_PA1_I2S1_CK               CHIP_PIN_ID(CHIP_PORT_A, 1, 0)
#define CHIP_PIN_PA1_USART2_RTS_DE_CK      CHIP_PIN_ID(CHIP_PORT_A, 1, 1)
#define CHIP_PIN_PA1_TIM2_CH2              CHIP_PIN_ID(CHIP_PORT_A, 1, 2)
#define CHIP_PIN_PA1_I2C1_SMBA             CHIP_PIN_ID(CHIP_PORT_A, 1, 6)
#define CHIP_PIN_PA1_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_A, 1, 7)

/* Пин PA2 */
#define CHIP_PIN_PA2_GPIO                  CHIP_PIN_ID(CHIP_PORT_A, 2, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA2_SPI1_MOSI             CHIP_PIN_ID(CHIP_PORT_A, 2, 0)
#define CHIP_PIN_PA2_I2S1_SD               CHIP_PIN_ID(CHIP_PORT_A, 2, 0)
#define CHIP_PIN_PA2_USART2_TX             CHIP_PIN_ID(CHIP_PORT_A, 2, 1)
#define CHIP_PIN_PA2_TIM2_CH3              CHIP_PIN_ID(CHIP_PORT_A, 2, 2)
#define CHIP_PIN_PA2_LPUART1_TX            CHIP_PIN_ID(CHIP_PORT_A, 2, 6)


/* Пин PA3 */
#if CHIP_PACKAGE != CHIP_PACKAGE_SON8
#define CHIP_PIN_PA3_GPIO                  CHIP_PIN_ID(CHIP_PORT_A, 3, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA3_SPI2_MISO             CHIP_PIN_ID(CHIP_PORT_A, 3, 0)
#define CHIP_PIN_PA3_USART2_RX             CHIP_PIN_ID(CHIP_PORT_A, 3, 1)
#define CHIP_PIN_PA3_TIM2_CH4              CHIP_PIN_ID(CHIP_PORT_A, 3, 2)
#define CHIP_PIN_PA3_LPUART1_RX            CHIP_PIN_ID(CHIP_PORT_A, 3, 6)
#define CHIP_PIN_PA3_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_A, 3, 7)
#endif

/* Пин PA4 */
#if CHIP_PACKAGE != CHIP_PACKAGE_SON8
#define CHIP_PIN_PA4_GPIO                  CHIP_PIN_ID(CHIP_PORT_A, 4, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA4_SPI1_NSS              CHIP_PIN_ID(CHIP_PORT_A, 4, 0)
#define CHIP_PIN_PA4_I2S1_WS               CHIP_PIN_ID(CHIP_PORT_A, 4, 0)
#define CHIP_PIN_PA4_SPI2_MOSI             CHIP_PIN_ID(CHIP_PORT_A, 4, 1)
#define CHIP_PIN_PA4_TIM14_CH1             CHIP_PIN_ID(CHIP_PORT_A, 4, 4)
#define CHIP_PIN_PA4_LPTIM2_OUT            CHIP_PIN_ID(CHIP_PORT_A, 4, 5)
#define CHIP_PIN_PA4_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_A, 4, 7)
#endif

/* Пин PA5 */
#if CHIP_PACKAGE != CHIP_PACKAGE_SON8
#define CHIP_PIN_PA5_GPIO                  CHIP_PIN_ID(CHIP_PORT_A, 5, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA5_SPI1_SCK              CHIP_PIN_ID(CHIP_PORT_A, 5, 0)
#define CHIP_PIN_PA5_I2S1_CK               CHIP_PIN_ID(CHIP_PORT_A, 5, 0)
#define CHIP_PIN_PA5_TIM2_CH1_ETR          CHIP_PIN_ID(CHIP_PORT_A, 5, 2)
#define CHIP_PIN_PA5_LPTIM2_ETR            CHIP_PIN_ID(CHIP_PORT_A, 5, 5)
#define CHIP_PIN_PA5_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_A, 5, 7)
#endif

/* Пин PA6 */
#if CHIP_PACKAGE != CHIP_PACKAGE_SON8
#define CHIP_PIN_PA6_GPIO                  CHIP_PIN_ID(CHIP_PORT_A, 6, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA6_SPI1_MISO             CHIP_PIN_ID(CHIP_PORT_A, 6, 0)
#define CHIP_PIN_PA6_I2S1_MCK              CHIP_PIN_ID(CHIP_PORT_A, 6, 0)
#define CHIP_PIN_PA6_TIM3_CH1              CHIP_PIN_ID(CHIP_PORT_A, 6, 1)
#define CHIP_PIN_PA6_TIM1_BKIN             CHIP_PIN_ID(CHIP_PORT_A, 6, 2)
#define CHIP_PIN_PA6_TIM16_CH1             CHIP_PIN_ID(CHIP_PORT_A, 6, 5)
#define CHIP_PIN_PA6_LPUART1_CTS           CHIP_PIN_ID(CHIP_PORT_A, 6, 6)
#endif

/* Пин PA7 */
#if CHIP_PACKAGE != CHIP_PACKAGE_SON8
#define CHIP_PIN_PA7_GPIO                  CHIP_PIN_ID(CHIP_PORT_A, 7, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA7_SPI1_MOSI             CHIP_PIN_ID(CHIP_PORT_A, 7, 0)
#define CHIP_PIN_PA7_I2S1_SD               CHIP_PIN_ID(CHIP_PORT_A, 7, 0)
#define CHIP_PIN_PA7_TIM3_CH2              CHIP_PIN_ID(CHIP_PORT_A, 7, 1)
#define CHIP_PIN_PA7_TIM1_CH1N             CHIP_PIN_ID(CHIP_PORT_A, 7, 2)
#define CHIP_PIN_PA7_TIM14_CH1             CHIP_PIN_ID(CHIP_PORT_A, 7, 4)
#define CHIP_PIN_PA7_TIM17_CH1             CHIP_PIN_ID(CHIP_PORT_A, 7, 5)
#endif

/* Пин PA8 */
#define CHIP_PIN_PA8_GPIO                  CHIP_PIN_ID(CHIP_PORT_A, 8, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA8_MCO                   CHIP_PIN_ID(CHIP_PORT_A, 8, 0)
#define CHIP_PIN_PA8_SPI2_NSS              CHIP_PIN_ID(CHIP_PORT_A, 8, 1)
#define CHIP_PIN_PA8_TIM1_CH1              CHIP_PIN_ID(CHIP_PORT_A, 8, 2)
#define CHIP_PIN_PA8_LPTIM2_OUT            CHIP_PIN_ID(CHIP_PORT_A, 8, 5)
#define CHIP_PIN_PA8_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_A, 8, 7)

/* Пин PA9 */
#define CHIP_PIN_PA9_GPIO                  CHIP_PIN_ID(CHIP_PORT_A, 9, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA9_MCO                   CHIP_PIN_ID(CHIP_PORT_A, 9, 0)
#define CHIP_PIN_PA9_USART1_TX             CHIP_PIN_ID(CHIP_PORT_A, 9, 1)
#define CHIP_PIN_PA9_TIM1_CH2              CHIP_PIN_ID(CHIP_PORT_A, 9, 2)
#define CHIP_PIN_PA9_SPI2_MISO             CHIP_PIN_ID(CHIP_PORT_A, 9, 4)
#define CHIP_PIN_PA9_I2C1_SCL              CHIP_PIN_ID(CHIP_PORT_A, 9, 6)
#define CHIP_PIN_PA9_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_A, 9, 7)

/* Пин PA10 */
#define CHIP_PIN_PA10_GPIO                 CHIP_PIN_ID(CHIP_PORT_A, 10, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA10_SPI2_MOSI            CHIP_PIN_ID(CHIP_PORT_A, 10, 0)
#define CHIP_PIN_PA10_USART1_RX            CHIP_PIN_ID(CHIP_PORT_A, 10, 1)
#define CHIP_PIN_PA10_TIM1_CH3             CHIP_PIN_ID(CHIP_PORT_A, 10, 2)
#define CHIP_PIN_PA10_TIM17_BKIN           CHIP_PIN_ID(CHIP_PORT_A, 10, 5)
#define CHIP_PIN_PA10_I2C1_SDA             CHIP_PIN_ID(CHIP_PORT_A, 10, 6)
#define CHIP_PIN_PA10_EVENTOUT             CHIP_PIN_ID(CHIP_PORT_A, 10, 7)

/* Пин PA11 */
#define CHIP_PIN_PA11_GPIO                 CHIP_PIN_ID(CHIP_PORT_A, 11, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA11_SPI1_MISO            CHIP_PIN_ID(CHIP_PORT_A, 11, 0)
#define CHIP_PIN_PA11_I2S1_MCK             CHIP_PIN_ID(CHIP_PORT_A, 11, 0)
#define CHIP_PIN_PA11_USART1_CTS           CHIP_PIN_ID(CHIP_PORT_A, 11, 1)
#define CHIP_PIN_PA11_TIM1_CH4             CHIP_PIN_ID(CHIP_PORT_A, 11, 2)
#define CHIP_PIN_PA11_TIM1_BKIN2           CHIP_PIN_ID(CHIP_PORT_A, 11, 5)
#define CHIP_PIN_PA11_I2C2_SCL             CHIP_PIN_ID(CHIP_PORT_A, 11, 6)

/* Пин PA12 */
#define CHIP_PIN_PA12_GPIO                 CHIP_PIN_ID(CHIP_PORT_A, 12, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA12_SPI1_MOSI            CHIP_PIN_ID(CHIP_PORT_A, 12, 0)
#define CHIP_PIN_PA12_I2S1_SD              CHIP_PIN_ID(CHIP_PORT_A, 12, 0)
#define CHIP_PIN_PA12_USART1_RTS_DE_CK     CHIP_PIN_ID(CHIP_PORT_A, 12, 1)
#define CHIP_PIN_PA12_TIM1_ETR             CHIP_PIN_ID(CHIP_PORT_A, 12, 2)
#define CHIP_PIN_PA12_I2S_CKIN             CHIP_PIN_ID(CHIP_PORT_A, 12, 5)
#define CHIP_PIN_PA12_I2C2_SDA             CHIP_PIN_ID(CHIP_PORT_A, 12, 6)

/* Пин PA13 */
#define CHIP_PIN_PA13_GPIO                 CHIP_PIN_ID(CHIP_PORT_A, 13, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA13_SWDIO                CHIP_PIN_ID(CHIP_PORT_A, 13, 0)
#define CHIP_PIN_PA13_IR_OUT               CHIP_PIN_ID(CHIP_PORT_A, 13, 1)
#define CHIP_PIN_PA13_EVENTOUT             CHIP_PIN_ID(CHIP_PORT_A, 13, 7)

/* Пин PA14 */
#define CHIP_PIN_PA14_GPIO                 CHIP_PIN_ID(CHIP_PORT_A, 14, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA14_SWCLK                CHIP_PIN_ID(CHIP_PORT_A, 14, 0)
#define CHIP_PIN_PA14_USART2_TX            CHIP_PIN_ID(CHIP_PORT_A, 14, 1)
#define CHIP_PIN_PA14_EVENTOUT             CHIP_PIN_ID(CHIP_PORT_A, 14, 7)

/* Пин PA15 */
#define CHIP_PIN_PA15_GPIO                 CHIP_PIN_ID(CHIP_PORT_A, 15, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PA15_SPI1_NSS             CHIP_PIN_ID(CHIP_PORT_A, 15, 0)
#define CHIP_PIN_PA15_I2S1_WS              CHIP_PIN_ID(CHIP_PORT_A, 15, 0)
#define CHIP_PIN_PA15_USART2_RX            CHIP_PIN_ID(CHIP_PORT_A, 15, 1)
#define CHIP_PIN_PA15_TIM2_CH1_ETR         CHIP_PIN_ID(CHIP_PORT_A, 15, 2)
#define CHIP_PIN_PA15_EVENTOUT             CHIP_PIN_ID(CHIP_PORT_A, 15, 7)



/* ----------- Порт B ---------------*/
/* Пин PB0 */
#define CHIP_PIN_PB0_GPIO                  CHIP_PIN_ID(CHIP_PORT_B, 0, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB0_SPI1_NSS              CHIP_PIN_ID(CHIP_PORT_B, 0, 0)
#define CHIP_PIN_PB0_I2S1_WS               CHIP_PIN_ID(CHIP_PORT_B, 0, 0)
#define CHIP_PIN_PB0_TIM3_CH3              CHIP_PIN_ID(CHIP_PORT_B, 0, 1)
#define CHIP_PIN_PB0_TIM1_CH2N             CHIP_PIN_ID(CHIP_PORT_B, 0, 2)
#define CHIP_PIN_PB0_LPTIM1_OUT            CHIP_PIN_ID(CHIP_PORT_B, 0, 5)

/* Пин PB1 */
#define CHIP_PIN_PB1_GPIO                  CHIP_PIN_ID(CHIP_PORT_B, 1, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB1_TIM14_CH1             CHIP_PIN_ID(CHIP_PORT_B, 1, 0)
#define CHIP_PIN_PB1_TIM3_CH4              CHIP_PIN_ID(CHIP_PORT_B, 1, 1)
#define CHIP_PIN_PB1_TIM1_CH3N             CHIP_PIN_ID(CHIP_PORT_B, 1, 2)
#define CHIP_PIN_PB1_LPTIM2_IN1            CHIP_PIN_ID(CHIP_PORT_B, 1, 5)
#define CHIP_PIN_PB1_LPUART1_RTS_DE        CHIP_PIN_ID(CHIP_PORT_B, 1, 6)
#define CHIP_PIN_PB1_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_B, 1, 7)

/* Пин PB2 */
#if (CHIP_PACKAGE != CHIP_PACKAGE_SON8) && (CHIP_PACKAGE != CHIP_PACKAGE_UFQFPN28)
#define CHIP_PIN_PB2_GPIO                  CHIP_PIN_ID(CHIP_PORT_B, 2, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB2_SPI2_MISO             CHIP_PIN_ID(CHIP_PORT_B, 2, 1)
#define CHIP_PIN_PB2_LPTIM1_OUT            CHIP_PIN_ID(CHIP_PORT_B, 2, 5)
#define CHIP_PIN_PB2_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_B, 2, 7)
#endif

/* Пин PB3 */
#if (CHIP_PACKAGE != CHIP_PACKAGE_SON8)
#define CHIP_PIN_PB3_GPIO                  CHIP_PIN_ID(CHIP_PORT_B, 3, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB3_SPI1_SCK              CHIP_PIN_ID(CHIP_PORT_B, 3, 0)
#define CHIP_PIN_PB3_I2S1_CK               CHIP_PIN_ID(CHIP_PORT_B, 3, 0)
#define CHIP_PIN_PB3_TIM1_CH2              CHIP_PIN_ID(CHIP_PORT_B, 3, 1)
#define CHIP_PIN_PB3_TIM2_CH2              CHIP_PIN_ID(CHIP_PORT_B, 3, 2)
#define CHIP_PIN_PB3_USART1_RTS_DE_CK      CHIP_PIN_ID(CHIP_PORT_B, 3, 4)
#define CHIP_PIN_PB3_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_B, 3, 7)
#endif

/* Пин PB4 */
#if (CHIP_PACKAGE != CHIP_PACKAGE_SON8)
#define CHIP_PIN_PB4_GPIO                  CHIP_PIN_ID(CHIP_PORT_B, 4, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB4_SPI1_MISO             CHIP_PIN_ID(CHIP_PORT_B, 4, 0)
#define CHIP_PIN_PB4_I2S1_MCK              CHIP_PIN_ID(CHIP_PORT_B, 4, 0)
#define CHIP_PIN_PB4_TIM3_CH1              CHIP_PIN_ID(CHIP_PORT_B, 4, 1)
#define CHIP_PIN_PB4_USART1_CTS            CHIP_PIN_ID(CHIP_PORT_B, 4, 4)
#define CHIP_PIN_PB4_TIM17_BKIN            CHIP_PIN_ID(CHIP_PORT_B, 4, 5)
#define CHIP_PIN_PB4_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_B, 4, 7)
#endif

/* Пин PB5 */
#define CHIP_PIN_PB5_GPIO                  CHIP_PIN_ID(CHIP_PORT_B, 5, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB5_SPI1_MOSI             CHIP_PIN_ID(CHIP_PORT_B, 5, 0)
#define CHIP_PIN_PB5_I2S1_SD               CHIP_PIN_ID(CHIP_PORT_B, 5, 0)
#define CHIP_PIN_PB5_TIM3_CH2              CHIP_PIN_ID(CHIP_PORT_B, 5, 1)
#define CHIP_PIN_PB5_TIM16_BKIN            CHIP_PIN_ID(CHIP_PORT_B, 5, 2)
#define CHIP_PIN_PB5_LPTIM1_IN1            CHIP_PIN_ID(CHIP_PORT_B, 5, 5)
#define CHIP_PIN_PB5_I2C1_SMBA             CHIP_PIN_ID(CHIP_PORT_B, 5, 6)

/* Пин PB6 */
#define CHIP_PIN_PB6_GPIO                  CHIP_PIN_ID(CHIP_PORT_B, 6, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB6_USART1_TX             CHIP_PIN_ID(CHIP_PORT_B, 6, 0)
#define CHIP_PIN_PB6_TIM1_CH3              CHIP_PIN_ID(CHIP_PORT_B, 6, 1)
#define CHIP_PIN_PB6_TIM16_CH1N            CHIP_PIN_ID(CHIP_PORT_B, 6, 2)
#define CHIP_PIN_PB6_SPI2_MISO             CHIP_PIN_ID(CHIP_PORT_B, 6, 4)
#define CHIP_PIN_PB6_LPTIM1_ETR            CHIP_PIN_ID(CHIP_PORT_B, 6, 5)
#define CHIP_PIN_PB6_I2C1_SCL              CHIP_PIN_ID(CHIP_PORT_B, 6, 6)
#define CHIP_PIN_PB6_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_B, 6, 7)

/* Пин PB7 */
#define CHIP_PIN_PB7_GPIO                  CHIP_PIN_ID(CHIP_PORT_B, 7, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB7_USART1_RX             CHIP_PIN_ID(CHIP_PORT_B, 7, 0)
#define CHIP_PIN_PB7_SPI2_MOSI             CHIP_PIN_ID(CHIP_PORT_B, 7, 1)
#define CHIP_PIN_PB7_TIM17_CH1N            CHIP_PIN_ID(CHIP_PORT_B, 7, 2)
#define CHIP_PIN_PB7_LPTIM1_IN2            CHIP_PIN_ID(CHIP_PORT_B, 7, 5)
#define CHIP_PIN_PB7_I2C1_SDA              CHIP_PIN_ID(CHIP_PORT_B, 7, 6)
#define CHIP_PIN_PB7_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_B, 7, 7)

/* Пин PB8 */
#define CHIP_PIN_PB8_GPIO                  CHIP_PIN_ID(CHIP_PORT_B, 8, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB8_SPI2_SCK              CHIP_PIN_ID(CHIP_PORT_B, 8, 1)
#define CHIP_PIN_PB8_TIM16_CH1             CHIP_PIN_ID(CHIP_PORT_B, 8, 2)
#define CHIP_PIN_PB8_I2C1_SCL              CHIP_PIN_ID(CHIP_PORT_B, 8, 6)
#define CHIP_PIN_PB8_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_B, 8, 7)

/* Пин PB9 */
#define CHIP_PIN_PB9_GPIO                  CHIP_PIN_ID(CHIP_PORT_B, 9, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB9_IR_OUT                CHIP_PIN_ID(CHIP_PORT_B, 9, 0)
#define CHIP_PIN_PB9_TIM17_CH1             CHIP_PIN_ID(CHIP_PORT_B, 9, 2)
#define CHIP_PIN_PB9_SPI2_NSS              CHIP_PIN_ID(CHIP_PORT_B, 9, 5)
#define CHIP_PIN_PB9_I2C1_SDA              CHIP_PIN_ID(CHIP_PORT_B, 9, 6)
#define CHIP_PIN_PB9_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_B, 9, 7)

/* Пин PB10 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PB10_GPIO                 CHIP_PIN_ID(CHIP_PORT_B, 10, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB10_LPUART1_RX           CHIP_PIN_ID(CHIP_PORT_B, 10, 1)
#define CHIP_PIN_PB10_TIM2_CH3             CHIP_PIN_ID(CHIP_PORT_B, 10, 2)
#define CHIP_PIN_PB10_SPI2_SCK             CHIP_PIN_ID(CHIP_PORT_B, 10, 5)
#define CHIP_PIN_PB10_I2C2_SCL             CHIP_PIN_ID(CHIP_PORT_B, 10, 6)
#endif

/* Пин PB11 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PB11_GPIO                 CHIP_PIN_ID(CHIP_PORT_B, 11, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB11_SPI2_MOSI            CHIP_PIN_ID(CHIP_PORT_B, 11, 0)
#define CHIP_PIN_PB11_LPUART1_TX           CHIP_PIN_ID(CHIP_PORT_B, 11, 1)
#define CHIP_PIN_PB11_TIM2_CH4             CHIP_PIN_ID(CHIP_PORT_B, 11, 2)
#define CHIP_PIN_PB11_I2C2_SDA             CHIP_PIN_ID(CHIP_PORT_B, 11, 6)
#endif

/* Пин PB12 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PB12_GPIO                 CHIP_PIN_ID(CHIP_PORT_B, 12, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB12_SPI2_NSS             CHIP_PIN_ID(CHIP_PORT_B, 12, 0)
#define CHIP_PIN_PB12_LPUART1_RTS_DE       CHIP_PIN_ID(CHIP_PORT_B, 12, 1)
#define CHIP_PIN_PB12_TIM1_BKIN            CHIP_PIN_ID(CHIP_PORT_B, 12, 2)
#define CHIP_PIN_PB12_EVENTOUT             CHIP_PIN_ID(CHIP_PORT_B, 12, 7)
#endif

/* Пин PB13 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PB13_GPIO                 CHIP_PIN_ID(CHIP_PORT_B, 13, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB13_SPI2_SCK             CHIP_PIN_ID(CHIP_PORT_B, 13, 0)
#define CHIP_PIN_PB13_LPUART1_CTS          CHIP_PIN_ID(CHIP_PORT_B, 13, 1)
#define CHIP_PIN_PB13_TIM1_CH1N            CHIP_PIN_ID(CHIP_PORT_B, 13, 2)
#define CHIP_PIN_PB13_I2C2_SCL             CHIP_PIN_ID(CHIP_PORT_B, 13, 6)
#define CHIP_PIN_PB13_EVENTOUT             CHIP_PIN_ID(CHIP_PORT_B, 13, 7)
#endif

/* Пин PB14 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PB14_GPIO                 CHIP_PIN_ID(CHIP_PORT_B, 14, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB14_SPI2_MISO            CHIP_PIN_ID(CHIP_PORT_B, 14, 0)
#define CHIP_PIN_PB14_TIM1_CH2N            CHIP_PIN_ID(CHIP_PORT_B, 14, 2)
#define CHIP_PIN_PB14_I2C2_SDA             CHIP_PIN_ID(CHIP_PORT_B, 14, 6)
#define CHIP_PIN_PB14_EVENTOUT             CHIP_PIN_ID(CHIP_PORT_B, 14, 7)
#endif

/* Пин PB15 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PB15_GPIO                 CHIP_PIN_ID(CHIP_PORT_B, 15, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PB15_SPI2_MOSI            CHIP_PIN_ID(CHIP_PORT_B, 15, 0)
#define CHIP_PIN_PB15_TIM1_CH3N            CHIP_PIN_ID(CHIP_PORT_B, 15, 2)
#define CHIP_PIN_PB15_EVENTOUT             CHIP_PIN_ID(CHIP_PORT_B, 15, 7)
#endif

/* ----------- Порт C ---------------*/
/* Пин PC6 */
#if (CHIP_PACKAGE != CHIP_PACKAGE_SON8) && (CHIP_PACKAGE != CHIP_PACKAGE_WLCSP18) && (CHIP_PACKAGE != CHIP_PACKAGE_TSSOP20)
#define CHIP_PIN_PC6_GPIO                  CHIP_PIN_ID(CHIP_PORT_C, 6, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PC6_TIM3_CH1              CHIP_PIN_ID(CHIP_PORT_C, 6, 1)
#define CHIP_PIN_PC6_TIM2_CH3              CHIP_PIN_ID(CHIP_PORT_C, 6, 2)
#endif

/* Пин PC7 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PC7_GPIO                  CHIP_PIN_ID(CHIP_PORT_C, 7, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PC7_TIM3_CH2              CHIP_PIN_ID(CHIP_PORT_C, 7, 1)
#define CHIP_PIN_PC7_TIM2_CH4              CHIP_PIN_ID(CHIP_PORT_C, 7, 2)
#endif

/* Пин PC13 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PC13_GPIO                 CHIP_PIN_ID(CHIP_PORT_C, 13, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PC13_TIM1_BKIN            CHIP_PIN_ID(CHIP_PORT_C, 13, 2)
#endif

/* Пин PC14 */
#define CHIP_PIN_PC14_GPIO                 CHIP_PIN_ID(CHIP_PORT_C, 14, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PC14_TIM1_BIN2            CHIP_PIN_ID(CHIP_PORT_C, 14, 2)

/* Пин PC15 */
#if (CHIP_PACKAGE != CHIP_PACKAGE_SON8)
#define CHIP_PIN_PC15_GPIO                 CHIP_PIN_ID(CHIP_PORT_C, 15, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PC15_OSC32_EN             CHIP_PIN_ID(CHIP_PORT_C, 15, 0)
#define CHIP_PIN_PC15_OSC_EN               CHIP_PIN_ID(CHIP_PORT_C, 15, 1)
#endif

/* ----------- Порт D ---------------*/
/* Пин PD0 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PD0_GPIO                  CHIP_PIN_ID(CHIP_PORT_D, 0, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PD0_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_D, 0, 0)
#define CHIP_PIN_PD0_SPI2_NSS              CHIP_PIN_ID(CHIP_PORT_D, 0, 1)
#define CHIP_PIN_PD0_TIM16_CH1             CHIP_PIN_ID(CHIP_PORT_D, 0, 2)
#endif

/* Пин PD1 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PD1_GPIO                  CHIP_PIN_ID(CHIP_PORT_D, 1, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PD1_EVENTOUT              CHIP_PIN_ID(CHIP_PORT_D, 1, 0)
#define CHIP_PIN_PD1_SPI2_SCK              CHIP_PIN_ID(CHIP_PORT_D, 1, 1)
#define CHIP_PIN_PD1_TIM17_CH1             CHIP_PIN_ID(CHIP_PORT_D, 1, 2)
#endif

/* Пин PD2 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PD2_GPIO                  CHIP_PIN_ID(CHIP_PORT_D, 2, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PD2_TIM3_ETR              CHIP_PIN_ID(CHIP_PORT_D, 2, 1)
#define CHIP_PIN_PD2_TIM1_CH1N             CHIP_PIN_ID(CHIP_PORT_D, 2, 2)
#endif

/* Пин PD3 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PD3_GPIO                  CHIP_PIN_ID(CHIP_PORT_D, 3, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PD3_USART2_CTS            CHIP_PIN_ID(CHIP_PORT_D, 3, 0)
#define CHIP_PIN_PD3_SPI2_MISO             CHIP_PIN_ID(CHIP_PORT_D, 3, 1)
#define CHIP_PIN_PD3_TIM1_CH2N             CHIP_PIN_ID(CHIP_PORT_D, 3, 2)
#endif

/* ----------- Порт F ---------------*/
/* Пин PF0 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PF0_GPIO                  CHIP_PIN_ID(CHIP_PORT_F, 0, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PF0_TIM14_CH1             CHIP_PIN_ID(CHIP_PORT_F, 0, 2)
#endif

/* Пин PF1 */
#if (CHIP_PACKAGE == CHIP_PACKAGE_LQFP48) || (CHIP_PACKAGE == CHIP_PACKAGE_ANY)
#define CHIP_PIN_PF1_GPIO                  CHIP_PIN_ID(CHIP_PORT_F, 1, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PF1_OSC_EN                CHIP_PIN_ID(CHIP_PORT_F, 1, 0)
#endif

/* Пин PF2 */
#define CHIP_PIN_PF2_GPIO                  CHIP_PIN_ID(CHIP_PORT_F, 2, CHIP_PIN_FUNC_GPIO)
#define CHIP_PIN_PF2_MCO                   CHIP_PIN_ID(CHIP_PORT_F, 2, 0)

#endif // CHIP_DEV_PINS_H
